{*
 * 2008-2016 Chronopostfood SAS
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/osl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to chronopostfood@adexos.fr so we can send you a copy immediately.
 *
 * @author    Adexos for Chronopostfood <chronopostfood@adexos.fr>
 * @copyright 2008-2016 Chronopostfood SAS
 * @license   http://opensource.org/licenses/osl-3.0.php Open Software License (OSL 3.0)
 *}
<h2>{l s="Chronopostfood" mod='chronopostfood'}</h2>
<style>label { width:300px;}</style>
<script>
	var module_dir="{$module_dir|escape:'htmlall'}";
	var CHRONOFOOD_SECRET="{$CHRONOFOOD_SECRET|escape:'htmlall'}";
	{literal}
		$(function() {
			$("#testWSLogin").on("click", function(e)
			{
				e.preventDefault();
				$.get(module_dir+"chronopostfood/async/testLogin.php?account="+$("#chrono_account").val()+"&shared_secret="+CHRONOFOOD_SECRET+"&password="+$("#chrono_password").val(), function(data) {
							if (data == "OK") alert("Les identifiants fournis sont valides !");
							else alert(data);
					});
				return false;
			});
		});
	{/literal}
</script>
<form action="{$post_uri|escape:'htmlall'}" method="post">

	<!--GENERAL-->
	<fieldset>
	 <legend><img src="../img/admin/asterisk.gif" alt="" title="" />{l s='Common config' mod='chronopostfood'}</legend>
		<label>{l s='Contract number' mod='chronopostfood'}</label>
		<div class="margin-form">
			<input id = "chrono_account" type="text" name="chronoparams[general][account]" value="{$general_account|escape:'htmlall'}"/>
		</div>

		<label>{l s='Subaccount' mod='chronopostfood'}</label>
		<div class="margin-form">
			<input id = "chrono_subaccount" type="text" name="chronoparams[general][subaccount]" value="{$general_subaccount|escape:'htmlall'}"/>
		</div>

		<label>{l s='Chronopost password' mod='chronopostfood'}</label>
		<div class="margin-form">
			<input id = "chrono_password" type="text" name="chronoparams[general][password]" value="{$general_password|escape:'htmlall'}"/>
		</div>
		

		<div class="margin-form">
			<button id = "testWSLogin">{l s='Test the validity of identifiers' mod='chronopostfood'}</button>
		</div>


		<label>{l s='Waybill print type' mod='chronopostfood'}</label>
		<div class="margin-form">
			<select name="chronoparams[general][printmode]">
				{foreach from=$print_modes key="k" item="v"}
					<option value="{$k}"{if $k==$selected_print_mode} selected{/if}>{$v}</option>
				{/foreach}
			</select>
		</div>

		<label>{l s='Product unit weight' mod='chronopostfood'}</label>
		<div class="margin-form">
			<select name="chronoparams[general][weightcoef]"/>';
				{foreach from=$weights key="v" item="k"}
					<option value="{$k}"{if $k==$selected_weight} selected{/if}>{$v}</option>
				{/foreach}
			</select>
		</div>
	</fieldset>
	<p class="clear">&nbsp;</p>

	<!--SATURDAY-->
	<fieldset>
	 <legend><img src="../img/admin/asterisk.gif" alt="" title="" />{l s='Delivery on saturday option' mod='chronopostfood'}</legend>
		<label>{l s='Activate Saturday delivery option' mod='chronopostfood'}</label>
		<div class="margin-form">
			<select name="chronoparams[saturday][active]">
				<option value="yes"{if $saturday_active=='yes'} selected{/if}>{l s="Yes" mod='chronopostfood'}</option>
				<option value="no"{if $saturday_active!='yes'} selected{/if}>{l s="No" mod='chronopostfood'}</option>
			</select>
		</div>
		<label>{l s='Option checked by default' mod='chronopostfood'}</label>
		<div class="margin-form">
			<select name="chronoparams[saturday][checked]">
				<option value="yes"{if $saturday_checked=='yes'} selected{/if}>{l s="Yes" mod='chronopostfood'}</option>
				<option value="no"{if $saturday_checked!='yes'} selected{/if}>{l s="No" mod='chronopostfood'}</option>
			</select>
		</div>
		<div class="path_bar">{l s='Display the Saturday delivery option from:' mod='chronopostfood'}</div>

		<label>{l s='Day' mod='chronopostfood'}</label>
		<div class="margin-form">
			 {$day_start}
 		</div>

		<label>{l s='Hour' mod='chronopostfood'}</label>
		<div class="margin-form">
			{$hour_start} : {$minute_start}
		</div>
		<div class="path_bar">{l s="Until" mod='chronopostfood'}</div>
		
		<label>{l s='Day' mod='chronopostfood'}</label>
		<div class="margin-form">
			 {$day_end}
 		</div>

		<label>{l s='Hour' mod='chronopostfood'}</label>
		<div class="margin-form">
			{$hour_end} : {$minute_end}
		</div>
	</fieldset>
	<p class="clear">&nbsp;</p>
	<!--CORSICA-->
	<fieldset>
	 <legend><img src="../img/admin/asterisk.gif" alt="" title="" />{l s='Shipping to Corsica' mod='chronopostfood'}</legend>
		
		<label>{l s='Supplement for deliveries to Corsica' mod='chronopostfood'}</label>
		<div class="margin-form">
			+ <input name="chronoparams[corsica][supplement]" type="text" style = "width:40px;text-align:right;"
				value="{$corsica_supplement|escape:'htmlall'}"/> €
<p class="clear hint">{l s='Configurable amount according to your pricing policy. However, the amount charged by Chronopost corresponds to pricing policy specified in your contract.' mod='chronopostfood'}</p>
		</div>
	</fieldset>
	<p class="clear">&nbsp;</p>

	<!--SHIPPER-->
	<fieldset>
	 <legend><img src="../img/admin/asterisk.gif" alt="" title="" />{l s='Shipper informations' mod='chronopostfood'}</legend>
	 {$shipper_form}
	</fieldset>
	<p class="clear">&nbsp;</p>
	<fieldset>
	 <legend><img src="../img/admin/asterisk.gif" alt="" title="" />{l s='Invoicing informations' mod='chronopostfood'}</legend>
	 {$customer_form}
	</fieldset>


	<p class="clear">&nbsp;</p>
	<center><input type="submit" name="submitchronoRelaisConfig" value="{l s='Save configuration' mod='chronopostfood'}" class="button" /></center>
	<br/>
</form>