{*
 * 2008-2016 Chronopostfood SAS
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/osl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to chronopostfood@adexos.fr so we can send you a copy immediately.
 *
 * @author    Adexos for Chronopostfood <chronopostfood@adexos.fr>
 * @copyright 2008-2016 Chronopostfood SAS
 * @license   http://opensource.org/licenses/osl-3.0.php Open Software License (OSL 3.0)
 *}

<script type="text/javascript">
    /* VAR INIT */
    // Define ChronoRelais' radio ID
    var cust_address="{$cust_address|escape:'javascript'}";
    var cust_address_clean="{$cust_address_clean|escape:'javascript'}";
    var cust_city="{$cust_city|escape:'javascript'}"; 
    var cust_codePostal="{$cust_codePostal|escape:'javascript'}";
    var cust_lastname="{$cust_lastname|escape:'javascript'}";
    var cust_firstname="{$cust_firstname|escape:'javascript'}";
    var cartID="{$cartID|escape:'javascript'}";
    var carrierID="{$carrierID|escape:'javascript'}";
    var carrierIntID="{$carrierIntID|escape:'javascript'}";
    var path="{$module_uri|escape:'javascript'}";
    var oldCodePostal=null;
    var errormessage="{l s='No pickup point has been selected !\nPlease select a pickup point to continue.' mod='chronopostfood'}";
    
    var chronodata=new Array();
    var relais_map=null; // our map
    var latlngbounds= new google.maps.LatLngBounds();
    var infowindow=null; // currently displayed infowindow
    var map_markers=new Array();

</script>

<input type="hidden" id="cust_address_clean" name="cust_address_clean" value="{$cust_address_clean|escape:'javascript':'UTF-8'}" />
<input type="hidden" id="cust_codepostal" name="cust_codepostal" value="{$cust_codePostal|escape:'javascript':'UTF-8'}" />
<input type="hidden" id="cust_city" name="cust_city" value="{$cust_city|escape:'javascript':'UTF-8'}" />
<input type="hidden" id="errormessage" name="errormessage" value="{l s='No pickup point has been selected !\nPlease select a pickup point to continue.' mod='chronopost'}" />

<div id="chronorelais_dummy_container" style="" class="container-fluid chronopost">
    <h3>{l s='Select a pickup point for delivery' mod='chronopostfood'}</h3>
    <div class="row">
        <p class="alert col-lg-6">{l s='Select a pickup point here below then confirm by choosing \'Select\'' mod='chronopostfood'}</p>

        <div class="col-lg-6">

        <div class="input-group">
            <input type="text" name="relais_codePostal" class="form-control" value="{$cust_codePostal|escape:'html'}" id="relais_codePostal"/>
              <span class="input-group-btn">
                <button class="btn btn-info" id="changeCustCP" type="button">{l s='Change my postcode' mod='chronopostfood'}</button>
              </span>
            </div>  
        </div>
    </div>
    <div class="row">
        <div id="chronorelais_map" class="col-xs-12" {if $map_enabled==0}style="display:none"{/if}></div>
    </div>
    <div id="relais_txt_cont">
            <h4>{l s='Closest pickup points' mod='chronopostfood'}</h4>
            <div id="relais_txt"></div>
    </div>
</div>
